import request from '@/utils/request'

// 查询购物车列表
export function listLiveLivecart(query) {
  return request({
    url: '/live/live_cart/list',
    method: 'get',
    params: query
  })
}

// 查询购物车详细
export function getLiveLivecart(id) {
  return request({
    url: '/live/live_cart/' + id,
    method: 'get'
  })
}

// 新增购物车
export function addLiveLivecart(data) {
  return request({
    url: '/live/live_cart',
    method: 'post',
    data: data
  })
}

// 修改购物车
export function updateLiveLivecart(data) {
  return request({
    url: '/live/live_cart',
    method: 'put',
    data: data
  })
}

// 删除购物车
export function delLiveLivecart(id) {
  return request({
    url: '/live/live_cart/' + id,
    method: 'delete'
  })
}

// 导出购物车
export function exportLiveLivecart(query) {
  return request({
    url: '/live/live_cart/export',
    method: 'post',
    params: query
  })
}
